commit:     5f34df490cc12bdb24e89fac3424d4e2ebb5596c
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 15 22:52:41 2017 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Jan 15 22:52:54 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5f34df49

sci-libs/mpir: Backport patch for newer sed

Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=604764

Package-Manager: Portage-2.3.3, Repoman-2.3.1
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 sci-libs/mpir/files/mpir-2.7.2-sed-backport.patch | 16 ++++++++++++++++
 sci-libs/mpir/mpir-2.7.2.ebuild                   |  9 ++++++++-
 2 files changed, 24 insertions(+), 1 deletion(-)

diff --git a/sci-libs/mpir/files/mpir-2.7.2-sed-backport.patch 
b/sci-libs/mpir/files/mpir-2.7.2-sed-backport.patch
new file mode 100644
index 00000000..8976429
--- /dev/null
+++ b/sci-libs/mpir/files/mpir-2.7.2-sed-backport.patch
@@ -0,0 +1,16 @@
+ configure.ac | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/configure.ac b/configure.ac
+index a3821c5..15fa93d 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -2595,7 +2595,7 @@ for tmp_fn in $gmp_mpn_functions; do
+             sed -n 's/^[      ]*MULFUNC_PROLOGUE(\(.*\))/\1/p' $tmp_file ;
+             sed -n 's/^[      ]*PROLOGUE(\([^,]*\).*)/\1/p' $tmp_file ;
+             sed -n 's/^;[     ]*PROLOGUE(\([^,]*\).*)/\1/p' $tmp_file ;
+-            sed -n 's/[^G]*GLOBAL_FUNC[:space:]*\(.*\)/\1/p' $tmp_file ;
++            sed -n 's/[^G]*GLOBAL_FUNC[[:space:]]*\(.*\)/\1/p' $tmp_file ;
+           `]
+           for gmp_tmp in $gmp_ep; do
+             AC_DEFINE_UNQUOTED(HAVE_NATIVE_$gmp_tmp)

diff --git a/sci-libs/mpir/mpir-2.7.2.ebuild b/sci-libs/mpir/mpir-2.7.2.ebuild
index 20408ff..e49488b 100644
--- a/sci-libs/mpir/mpir-2.7.2.ebuild
+++ b/sci-libs/mpir/mpir-2.7.2.ebuild
@@ -4,7 +4,7 @@
 
 EAPI=6
 
-inherit autotools eutils toolchain-funcs
+inherit autotools toolchain-funcs
 
 DESCRIPTION="Library for arbitrary precision integer arithmetic (fork of gmp)"
 HOMEPAGE="http://www.mpir.org/";
@@ -23,6 +23,7 @@ RDEPEND=""
 
 PATCHES=(
        "${FILESDIR}"/${P}-ABI-multilib.patch
+       "${FILESDIR}"/${P}-sed-backport.patch
 )
 
 src_prepare() {
@@ -63,6 +64,12 @@ src_configure() {
                --with-system-yasm
                $(use_enable cxx)
                $(use_enable cpudetection fat)
+               $(use_enable static-libs static)
        )
        econf ${myeconfargs[@]}
 }
+
+src_install() {
+       default
+       rm "${ED}"/usr/$(get_libdir)/*la || die
+}

Reply via email to